
require "libsensors"
require "print_r"

local f = assert(io.open("/etc/sensors3.conf", "r"))
local r = sensors.init(f)
assert(f:close())
if r ~= 0 then error(sensors.strerror(r)) end

print(table.show(sensors.scan_all_chips(), "chips"))

print "error messages..."
for k,v in pairs(sensors.ERR) do
  print(string.format("sg.ERR.%s : #%i -> '%s'", k, v, sensors.strerror(v)))
end

sensors.cleanup()

